#1389 closed enhancement (fixed)

Refactor login code

Reported by: Sebastian Huber Owned by: Joel Sherrill
Priority: normal Milestone: 4.10
Component: score Version: 4.10
Severity: minor Keywords:
Cc: strauman@… Blocked By:
Blocking:

Description

Refactored login code of the shell and telnetd. Avoids dependencies to DES and UNIX like password code to help targets with a low memory space.

Please note the comment in rtems_shell_get_text() (cpukit/libmisc/shell/login_prompt.c).

Attachments (2)

login.patch (27.5 KB) - added by Sebastian Huber on Mar 2, 2009 at 3:08:31 PM.
Patch for CVS HEAD.
login_v1.patch (41.6 KB) - added by Sebastian Huber on Mar 10, 2009 at 11:46:15 AM.
Patch for CVS HEAD.

Download all attachments as: .zip

Change History (5)

Changed on Mar 2, 2009 at 3:08:31 PM by Sebastian Huber

Attachment: login.patch added

Patch for CVS HEAD.

Changed on Mar 10, 2009 at 11:46:15 AM by Sebastian Huber

Attachment: login_v1.patch added

Patch for CVS HEAD.

comment:1 Changed on Mar 10, 2009 at 11:46:15 AM by Sebastian Huber

attachments.isobsolete: 01

comment:2 Changed on Mar 10, 2009 at 11:48:11 AM by Sebastian Huber

Cc: strauman added

comment:3 Changed on Apr 30, 2009 at 12:53:06 PM by Sebastian Huber

Resolution: fixed
Status: newclosed

Fixed in 4.10.

Note: See TracTickets for help on using tickets.